cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/warehouses" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"warehouse": {
"name": "Sydney warehouse",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"is_default": false
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_warehouse(
{
"warehouse": {
"name": "Sydney warehouse",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"is_default": False,
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsWarehouse({
warehouse: {name: 'Sydney warehouse', country: 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', is_default: false},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsWarehouse([
'warehouse' => [
'name' => 'Sydney warehouse',
'country' => 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
'is_default' => false,
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsWarehouseRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsWarehouseRead> response = client.settings().createSettingsWarehouse(
Map.of(
"warehouse", Map.of(
"name", "Sydney warehouse",
"country", "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"is_default", false)));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsWarehouseAsync(new Dictionary<string, object?>
{
["warehouse"] = new Dictionary<string, object?>
{
["name"] = "Sydney warehouse",
["country"] = "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
["is_default"] = false,
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsWarehouse({
'warehouse': {
'name': 'Sydney warehouse',
'country': 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
'is_default': false,
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsWarehouse(context.Background(), map[string]any{
"warehouse": map[string]any{
"name": "Sydney warehouse",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"is_default": false,
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"warehouse": {
"city": "<string>",
"country": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"is_default": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"post_code": "<string>",
"state": "<string>",
"status": "<string>",
"version": 123
}
}Instance settings
Create a warehouse
Creates a warehouse and returns it under warehouse.
POST
/
settings
/
warehouses
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/warehouses" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"warehouse": {
"name": "Sydney warehouse",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"is_default": false
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_warehouse(
{
"warehouse": {
"name": "Sydney warehouse",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"is_default": False,
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsWarehouse({
warehouse: {name: 'Sydney warehouse', country: 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', is_default: false},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsWarehouse([
'warehouse' => [
'name' => 'Sydney warehouse',
'country' => 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
'is_default' => false,
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsWarehouseRead;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsWarehouseRead> response = client.settings().createSettingsWarehouse(
Map.of(
"warehouse", Map.of(
"name", "Sydney warehouse",
"country", "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"is_default", false)));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsWarehouseAsync(new Dictionary<string, object?>
{
["warehouse"] = new Dictionary<string, object?>
{
["name"] = "Sydney warehouse",
["country"] = "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
["is_default"] = false,
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsWarehouse({
'warehouse': {
'name': 'Sydney warehouse',
'country': 'country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
'is_default': false,
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsWarehouse(context.Background(), map[string]any{
"warehouse": map[string]any{
"name": "Sydney warehouse",
"country": "country_111b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
"is_default": false,
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"warehouse": {
"city": "<string>",
"country": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"is_default": true,
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"post_code": "<string>",
"state": "<string>",
"status": "<string>",
"version": 123
}
}Send the new warehouse under
warehouse. name and country, the country’s country_ id, are required. The response’s country reads null even though the country is stored; read the warehouse to see it.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.